org.eclipse.rdf4j.federated.algebra

## Class ExclusiveStatement

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.StatementPattern
    - - org.eclipse.rdf4j.federated.algebra.FedXStatementPattern
      - - org.eclipse.rdf4j.federated.algebra.ExclusiveStatement

- All Implemented Interfaces:
    Serializable, Cloneable, BoundJoinTupleExpr, ExclusiveTupleExpr, FedXTupleExpr, FilterTuple, QueryRef, StatementTupleExpr, VariableExpr, GraphPatternGroupable, QueryModelNode, TupleExpr, VariableScopeChange

      public class ExclusiveStatement
      extends FedXStatementPattern
      implements ExclusiveTupleExpr

  Represents a StatementPattern that can only produce results at a single endpoint, the owner.
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.algebra.StatementPattern

      `StatementPattern.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.algebra.FedXStatementPattern

      `boundFilters, filterExpr, freeVars, id, queryInfo, statementSources, upperLimit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExclusiveStatement(StatementPattern node, StatementSource owner, QueryInfo queryInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `evaluate(BindingSet bindings)` Evaluate this expression using the provided bindings
    `StatementSource` | `getOwner()`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.algebra.FedXStatementPattern

      `addBoundFilter, addFilterExpr, getBoundFilters, getFilterExpr, getFreeVarCount, getFreeVars, getId, getQueryInfo, getSourceCount, getStatementSources, getUpperLimit, hasFilter, hasFreeVarsFor, initFreeVars, setUpperLimit, visit, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.StatementPattern

      `clone, equals, getAssuredBindingNames, getBindingNames, getContextVar, getObjectVar, getPredicateVar, getScope, getSignature, getSubjectVar, getVarList, getVars, hashCode, replaceChildNode, setContextVar, setObjectVar, setPredicateVar, setScope, setSubjectVar`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.algebra.FedXTupleExpr

      `getFreeVarCount`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.TupleExpr

      `clone, getAssuredBindingNames, getBindingNames`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit, visitChildren`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.algebra.VariableExpr

      `getFreeVars`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.algebra.QueryRef

      `getQueryInfo`

- - ### Constructor Detail

    - #### ExclusiveStatement

          public ExclusiveStatement(StatementPattern node,
                                    StatementSource owner,
                                    QueryInfo queryInfo)

  - ### Method Detail

    - #### getOwner

          public StatementSource getOwner()

      Specified by:
        `getOwner` in interface `ExclusiveTupleExpr`
      Returns:
        the owner for this expression

    - #### evaluate

          public CloseableIteration<BindingSet,QueryEvaluationException> evaluate(BindingSet bindings)
                                                                           throws QueryEvaluationException

      Description copied from interface: `StatementTupleExpr`
      Evaluate this expression using the provided bindings
      Specified by:
        `evaluate` in interface `StatementTupleExpr`
      Returns:
        the result iteration
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.